LFR-FSW - Bug #862

Valeurs des masques RW erronées dans TM_LFR_PARAMETER_DUMP
28/12/2016 01:08 PM - bruno katra

Status: Closed Start date: 28/12/2016
Priority: Urgent Due date:

Assignee: bruno katra % Done: 100%
Category: R3+ Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Suite a I'envoi de frequences RW via TC_UPDATE_INFO, les masques retournés dans la TM_LFR_PARAMETER_DUMP sont
systématiquement faux, en particulier on voit I'apparition d'un talon en 'fe' ou 'f8' a la fin des 3 masques.
Exemple : on a envoyé 96Hz comme frégeunce pour toutes les RW et le PARAMETER_DUMP contient ceci :

1.RW_MASK_FO :
OXFFFFFFTtefrreifei 8

2. RW_MASK F1 :
OXFHFFFFFFeereitei 1e

3.RW_MASK_F2:
OXFFHFFfCTHFFFEFTTTT fe

Nous avons rejoué le test SVS_0109 écrit par Gérald et Alexis sur des nouvelles acquisitions (nouveau VHDL) et le résultat rejoint
notre analyse : on voit toujours le bug soulevé en septembre ( #743 ) et on voit en plus les talons sur plusieurs
PARAMETER_DUMP.

Nous avons rejoué aussi le test avec I'ancienne API (pc-solar3 pour la non-regression) en n'envoyant seulement 96Hz sur RW1_F1
et le méme résultat est observé.

Contexte du test

FSW 3.1.0.4

VHDL 1.1.91

EM1 avec et sans TIMEGEN

Related issues:
Related to Bug #865: Fonction setFBinMask erronée Closed 29/12/2016

History

#1 - 28/12/2016 01:09 PM - bruno katra

- Description updated

#2 - 28/12/2016 01:23 PM - bruno katra
- Category set to R3+

#3 - 02/01/2017 01:41 PM - bruno katra
- Related to Bug #865: Fonction setFBinMask erronée added

#4 - 02/01/2017 01:44 PM - bruno katra
Nouveaux tests avec Alexis : Downgrade de socecplorer et socexplorer-plugins + tests sur EQM
Le bug du talon apparait mais il y en a plus ou moins selon le contexte (version socecplorer/plugins , carte). Cela confirme que le bug est lié a #864 et

qu'il a toujours été présent et serait lié au pointeur de pile sauf que la conf de cet été utilisé par Gérald et Alexis était favorable au niveau du pointeur
de pile et masquait le pb.

#5 - 05/01/2017 04:28 PM - paul leroy

- Assignee changed from paul leroy to bruno katra

Suite a quelques modifications sur la fonction de calcul des masques, j'ai rejoué quelques tests en mettant notamment 96 pour toutes les roues a
https://hephaistos.lpp.polytechnique.fr/redmine/issues/743
https://hephaistos.lpp.polytechnique.fr/redmine/issues/864

inertie. Les résultats semblent corrects.
A tester sur fsw >= 3.1.0.5

#6 - 20/01/2017 12:57 PM - bruno katra
- Status changed from New to In Progress

- Assignee changed from bruno katra to paul leroy

Le bug est toujours présent en 3.1.0.6 mais seulement a priori lorsque I'on injecte certaines fréquences propres F2 (7 Hz a 102 Hz).
Voici un exemple pour la fréquence 12Hz des masques générés, le masque F1 est faux il ne devrait masqué que le 1er bin car le delta_f est a
0.025Hz :

1.RW_MASK_FO :
OXFHFFFFFFfFtiTtrtfie

2.RW_MASK_F1 :
OXFHFFFFFTFFFEFRFFAETeeSt

3.RW_MASK_F2:
Wittt i

Aussi, le masque F1 est faux pour les fréquences 92Hz a 100Hz :

1.RW_MASK F1:
oxffiffttteiffeeeriffeeeeifeees 8 f
la ou I'on attend 9f ou cf

Contexte :
FSW 3.1.0.6
sur EQM sans TIMEGEN

#7 - 24/01/2017 05:58 PM - bruno katra

J'ai commenté mon point précédent avec de nouveaux exemples de masques faux...

#8 - 25/01/2017 05:19 PM - paul leroy
- Status changed from In Progress to Feedback

- Assignee changed from paul leroy to bruno katra

Peux-tu préciser le calcul que tu fais? Je n'ai peut-étre pas la bonne méthode:

Je cherche d'abord la bin la plus proche de la fréquence de la roue a inertie, pour 12 Hz et le canal F1 il s'agit de la bin 1 (soit 16Hz), et j'observe la
bande polluée par rapport a l'intervalle [11.44;20.56], soit 16 +/- 0.285*16.

Je calcule la bande polluée, ici [11.9875; 12.0125]. Cet intervalle est inclus dans le précédent et donc il faut enlever 3 bins, la bin 0 ne compte pas
comme vous me l'avez rappelé et donc on enleve les bins 1 et 2.

C'est comme ¢a que j'arrive a ¢ (1100).

#9 - 26/01/2017 10:15 AM - bruno katra

Je n'avais pas compris toutes les subtilités du masquage, c'est peut-étre moi qui calcule mal, je reboucle et te tiens au courant.
paul leroy wrote:

Peux-tu préciser le calcul que tu fais? Je n'ai peut-étre pas la bonne méthode:

Je cherche d'abord la bin la plus proche de la fréquence de la roue a inertie, pour 12 Hz et le canal F1 il s'agit de la bin 1 (soit 16Hz), et
j'observe la bande polluée par rapport a l'intervalle [11.44;20.56], soit 16 +/- 0.285*16.

Je calcule la bande polluée, ici [11.9875; 12.0125]. Cet intervalle est inclus dans le précédent et donc il faut enlever 3 bins, la bin 0 ne compte
pas comme vous me l'avez rappelé et donc on enléve les bins 1 et 2.

C'est comme ¢a que j'arrive a ¢ (1100).

#10 - 27/01/2017 11:59 AM - bruno katra

- Assignee changed from bruno katra to paul leroy

Alors en fait, apres discussions avec Thomas et examen attentif de la SRS de Gérald : on a tous les 2 tort sur des points différents :

1- c'est bien ton mécanisme de calcul qui est bon .

2- Mais ta fagon d'utiliser le delta_f est fausse. Les discussions entre Gérald, Thomas et mails de Milan qui ont menés a a SRS livrés par Gérald

stipule que la bande polluée autour d'une fréquence Frw est [Frw-delta_f, Frw+delta_f]. Or ton calcul a toi fait état de [Frw-delta_f/2,
Frw+delta_f/2]
FSW 3.1.0.6 sur Mini-LFR VHDL 0.1.91

#11 - 02/02/2017 11:42 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

Correction effectuée pour fsw >= 3.1.0.7

#12 - 02/02/2017 03:55 PM - bruno katra
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

Testé en 3.1.0.7 sur EM 1.1.91: bug corrigé.
